# Class LinkHandler

java.lang.Object
com.codename1.ui.layouts.mig.LinkHandler

public final class LinkHandler extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `HEIGHT`
  `static final int`
  `WIDTH`
  `static final int`
  `X`
  `static final int`
  `X2`
  `static final int`
  `Y`
  `static final int`
  `Y2`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `clearBounds(java.lang.Object layout, String key)`
  `static void`
  `clearWeakReferencesNow()`
  This method clear any weak references right away instead of waiting for the GC.
  `static Integer`
  `getValue(java.lang.Object layout, String key, int type)`
  `static boolean`
  `setBounds(java.lang.Object layout, String key, int x, int y, int width, int height)`
  Sets a key that can be linked to from any component.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### X

    public static final int X
    See Also:
      - Constant Field Values

  - ### Y

    public static final int Y
    See Also:
      - Constant Field Values

  - ### WIDTH

    public static final int WIDTH
    See Also:
      - Constant Field Values

  - ### HEIGHT

    public static final int HEIGHT
    See Also:
      - Constant Field Values

  - ### X2

    public static final int X2
    See Also:
      - Constant Field Values

  - ### Y2

    public static final int Y2
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getValue

    public static Integer getValue(java.lang.Object layout, String key, int type)

  - ### setBounds

    public static boolean setBounds(java.lang.Object layout, String key, int x, int y, int width, int height)

    Sets a key that can be linked to from any component.

    ###### Parameters

    - `layout`: The MigLayout instance

    - `key`: The key to link to. This is the same as the ID in a component constraint.

    - `x`: x

    - `y`: y

    - `width`: Width

    - `height`: Height

    ###### Returns

    If the value was changed

  - ### clearWeakReferencesNow

    public static void clearWeakReferencesNow()

    This method clear any weak references right away instead of waiting for the GC. This might be advantageous if lots of layout are created and disposed of quickly to keep memory consumption down.

    ###### Since

    3.7.4

  - ### clearBounds

    public static boolean clearBounds(java.lang.Object layout, String key)